Bug 1129115 - Export domain becomes inactive in a case it was attached to a destroyed dc
Summary: Export domain becomes inactive in a case it was attached to a destroyed dc
Keywords:
Status: CLOSED DUPLICATE of bug 1130991
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.1
Assignee: Maor
QA Contact: Pavel Stehlik
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 09:18 UTC by Ori Gofen
Modified: 2016-05-26 01:50 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-07 14:50:01 UTC
oVirt Team: Storage


Attachments (Terms of Use)
vdsm+engine logs (96.69 KB, application/gzip)
2014-08-12 09:18 UTC, Ori Gofen
no flags Details

Description Ori Gofen 2014-08-12 09:18:44 UTC
Created attachment 925989 [details]
vdsm+engine logs

Description of problem:

note *** Setup has one engine + one host ******

Attaching an export domain who was previously attached to a destroyed domain,to a new dc become inactive after a while.

engine throws:

2014-08-12 11:58:14,274 ERROR [org.ovirt.engine.core.vdsbroker.irsbroker.IrsProxyData] (org.ovirt.thread.pool-8-thread-13) Domain 3fd4fe7f-4993-4f7f-b078-c0ff88d7f0cd:export was reported by all hosts in status UP as problematic. Moving the domain to NonOperational.

when trying to activate or remove,operation fails with bllexception 
Version-Release number of selected component (if applicable):
rc1

How reproducible:
100%

Steps to Reproduce:
1.attach an export domain,who had been in a destroyed domain

Actual results:
storage becomes inactive after a while,exceptions are thrown 

Expected results:
---

Additional info:

Comment 1 Maor 2014-08-13 08:03:49 UTC
Ori, can you please attach previous VDSM logs.
It looks that in the attached logs we only see when the domain reported a 
problem, but can't seems to know what caused it.

also, what it means "attached to a destroyed domain"? What are the steps to reproduce this?

Comment 2 Ori Gofen 2014-08-13 12:36:35 UTC
I'll reproduce this bug and attach logs ASAP

Comment 3 Ori Gofen 2014-09-07 09:06:44 UTC
The steps to reproduce this are including importing an export domain from a destroyed domain,which is currently not supported,please view BZ #1130991.
I suggest, or to close as duplicate of this bug,or to wait until BZ #1130991
will be operational and recheck the behavior.

Comment 4 Allon Mureinik 2014-09-07 14:50:01 UTC
(In reply to Ori from comment #3)
> The steps to reproduce this are including importing an export domain from a
> destroyed domain,which is currently not supported,please view BZ #1130991.
> I suggest, or to close as duplicate of this bug,or to wait until BZ #1130991
> will be operational and recheck the behavior.

Closing as a duplicate, as per suggested.

*** This bug has been marked as a duplicate of bug 1130991 ***

Comment 5 Ori Gofen 2014-09-07 14:56:59 UTC
(In reply to Allon Mureinik from comment #4)
> (In reply to Ori from comment #3)
> > The steps to reproduce this are including importing an export domain from a
> > destroyed domain,which is currently not supported,please view BZ #1130991.
> > I suggest, or to close as duplicate of this bug,or to wait until BZ #1130991
> > will be operational and recheck the behavior.
> 
> Closing as a duplicate, as per suggested.
> 
> *** This bug has been marked as a duplicate of bug 1130991 ***

agreed.

btw, correcting a mistake from comment #3," importing an export domain from a destroyed domain" ->>  "importing an export domain from a destroyed datacenter"


Note You need to log in before you can comment on or make changes to this bug.